<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <!-- expected parameters: patient -->
    <g:column id="identifiersColumn">
        <f:facet name="header">#{messages['net.ihe.gazelle.PatientManager.Identifiers']}</f:facet>
        <h:panelGrid columns = "2" border = "1"  cellpadding = "10" cellspacing = "1" styleClass="patient-identifiers">
            <ui:repeat value="#{patient.patientIdentifiers}" var="pid">
                <span class="#{pid.identifierTypeCode}"><h:outputText value="#{pid.fullPatientId}"/></span>
                <br/>
            </ui:repeat>
            <ui:insert name="patientIdentifiersAction"/>
        </h:panelGrid>
    </g:column>
    <g:column id="firstnameColumn">
        <f:facet name="header">#{messages['gazelle.simulator.pam.FirstName']}</f:facet>
        <h:outputText value="#{patient.firstName}"/>
        <h:outputText value=" (#{patient.alternateFirstName})"
                      rendered="#{not empty patient.alternateFirstName}"/>
    </g:column>
    <g:column id="lastnameColumn">
        <f:facet name="header">#{messages['gazelle.simulator.pam.LastName']}</f:facet>
        <h:outputText value="#{patient.lastName}"/>
        <h:outputText value=" (#{patient.alternateLastName})"
                      rendered="#{not empty patient.alternateLastName}"/>
    </g:column>
    <g:column id="genderColumn">
        <f:facet name="header">#{messages['gazelle.simulator.pam.Gender']}</f:facet>
        <h:outputText value="#{patient.genderCode}"/>
    </g:column>
    <g:column id="countryColumn">
        <f:facet name="header">#{messages['gazelle.simulator.pam.CountryCode']}</f:facet>
        <h:outputText value="#{patient.countryCode}"/>
    </g:column>
    <g:column id="creationDateColumn"
                sortBy="#{'creationDate'}" sortOrder="#{dataTableStateHolder.sortOrders['creationDate']}">
        <f:facet name="header">#{messages['gazelle.simulator.pam.CreationDate']}</f:facet>
        <g:date value="#{patient.creationDate}"/>
    </g:column>
    <g:column id="creatorColumn">
        <f:facet name="header">#{messages['gazelle.simulator.pam.Creator']}</f:facet>
        <h:outputText value="#{patientManager.getUserName(patient.creator)}" rendered="#{not empty patient.creator}"/>
        <h:outputText value="#{messages['net.ihe.gazelle.pam.Anonymous']}" rendered="#{empty patient.creator}"/>
    </g:column>
</ui:composition>